Zum Hauptinhalt springen
GET
/
v1
/
attachments
/
{uuid}
/
{name}
Anhang herunterladen
curl --request GET \
  --url https://api.devin.ai/v1/attachments/{uuid}/{name} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.devin.ai/v1/attachments/{uuid}/{name}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.devin.ai/v1/attachments/{uuid}/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}
Mit diesem Endpunkt können Sie Dateien aus einer Devin-Sitzung herunterladen. Wenn Sie Ressourcen hochladen möchten, sollten Sie den Upload-Endpunkt verwenden. Der Endpunkt gibt eine 307-Weiterleitung zu einer presigned URL zurück, die temporären Zugriff auf die Datei bietet. Die presigned URL ist 60 Sekunden lang gültig.

Verwendungsbeispiel

import requests

# Anhang herunterladen
response = requests.get(
    f"https://api.devin.ai/v1/attachments/{uuid}/{filename}",
    headers={"Authorization": f"Bearer {DEVIN_API_KEY}"},
    allow_redirects=True
)

# Dateiinhalt speichern
with open(filename, "wb") as f:
    f.write(response.content)

Autorisierungen

Authorization
string
header
erforderlich

Persönlicher API-Schlüssel (apk_user_*) oder Service-API-Schlüssel (apk_*)

Pfadparameter

uuid
string
erforderlich
name
string
erforderlich

Antwort

Erfolgreiche Antwort